<?php if (!defined('PmWiki')) exit();
/**
* This is lean.php, the php script portion of the Lean II Skin
* for PmWiki 2.
*/
global $PageEditFmt, $ScriptUrl, $SkinLogoHomeLink, $SkinTextHomeLink,
  $WikiTitle, $GroupHdrFmt;

## Add hotkeys to the page we're editing, along with a link to the page
## that makes it easy to bail out of editing and go back to the page.
$PageEditFmt = "<div id='wikiedit'>
  <a id='top' name='top'></a>
  <h1 class='wikiaction'>$[Editing] <a
  href='\$PageUrl'>\$FullName</a></h1>
  <form name='editform' method='post' action='\$PageUrl?action=edit'>
  <input type='hidden' name='action' value='edit' />
  <input type='hidden' name='pagename' value='\$FullName' />
  <input type='hidden' name='basetime' value='\$EditBaseTime' />
  \$EditMessageFmt
  <textarea id='text' name='text' rows='25' cols='60'
    onkeydown='if (event.keyCode==27) event.returnValue=false;'
    >\$EditText</textarea><br />
  $[Author]: <input type='text' name='author' value='\$Author' />
  <input type='checkbox' name='diffclass' value='minor' \$DiffClassMinor />
    $[This is a minor edit]<br />
  <input type='submit' name='post' value=' $[Save] ' accesskey='s' />
  <input type='submit' name='preview' value=' $[Preview] ' accesskey='p' />
  <input type='reset' value=' $[Reset] ' /></form></div>";

## Don't link to the Home Page when we're on it.
## Works for both a logo link ($SkinLogoHomeLink) or a text link ($SkinTextHomeLink).
if ($pagename=='' || $pagename=='Main.HomePage') {
  $SkinLogoHomeLink = "<img src='\$SkinDirUrl/sammy_logo.png'
        alt='$WikiTitle' border='0' />";
  $SkinTextHomeLink = "$WikiTitle";
} else {
  $SkinLogoHomeLink = "<a href='\$ScriptUrl'><img
        src='\$SkinDirUrl/sammy_logo.png'
        alt='$WikiTitle' border='0' /></a>";
  $SkinTextHomeLink = "<a href='\$ScriptUrl'>$WikiTitle</a>";
}

## Don't link to the Group.Group page if it's already the curren page.
$test_array = explode('.',$pagename);
if ($pagename=='' || $pagename=='Main.HomePage' || $test_array['0']==$test_array['1']) {
 $GroupHdrFmt = "\$Groupspaced";
} else {
 $GroupHdrFmt = "<a href='\$ScriptUrl/\$Group'
          title='\$Groupspaced \$[Home]'>\$Groupspaced</a>";
}

?>
